Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Class SOAPServerContext

    java.lang.Object
      |
      +--oracle.soap.server.SOAPServerContext

public class SOAPServerContext
extends java.lang.Object

`SOAPServerContext` defines the context of the SOAP server that is independent of the type of container in which the server is running.

Constructor Summary
`SOAPServerContext()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the attribute with the given name, or null if there is no attribute by that name.
`java.util.Enumeration` | `getAttributeNames()` Returns an Enumeration containing the attribute names available within this SOAP context.
`java.util.Hashtable` | `getGlobalContext()` Returns the global context.
`Logger` | `getLogger()` Returns the SOAP logger.
`void` | `removeAttribute(java.lang.String name)` Removes the attribute with the given name from the context.
`void` | `setAttribute(java.lang.String name, java.lang.Object object)` Binds an object to a given attribute name in this SOAP context.
`void` | `setGlobalContext(java.util.Hashtable globalContext)` Set the global context, which contains SOAP server-wide objects.
`void` | `setLogger(Logger logger)` Set the logger, which is used for text-based logging of informational and debug messages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPServerContext

    public SOAPServerContext()

Method Detail

### getGlobalContext

    public java.util.Hashtable getGlobalContext()

  Returns the global context.
  Returns:
    The global context that contains SOAP server-wide objects, or `null` if the attribute is not set.

### setGlobalContext

    public void setGlobalContext(java.util.Hashtable globalContext)

  Set the global context, which contains SOAP server-wide objects.
  Parameters:
    `globalContext` - The global context.

### setLogger

    public void setLogger(Logger logger)

  Set the logger, which is used for text-based logging of informational and debug messages.
  Parameters:
    `logger` - The SOAP logger.

### getLogger

    public Logger getLogger()

  Returns the SOAP logger.
  Returns:
    The SOAP logger, which is used to log informational and debug messages.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns the attribute with the given name, or null if there is no attribute by that name.
  Parameters:
    `name` - A `String` specifying the name of the attribute.
  Returns:
    An Object containing the value of the attribute, or `null` if no attribute exists matching the given name.
  See Also:
    `getAttributeNames()`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Returns an Enumeration containing the attribute names available within this SOAP context.
  Returns:
    An `Enumeration` of attribute names.
  See Also:
    `getAttribute(java.lang.String)`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object object)

  Binds an object to a given attribute name in this SOAP context. If the name specified is already used for an attribute, this method will remove the old attribute and bind the name to the new attribute. Neither the name nor the object may be null.
  Parameters:
    `name` - A non-null `String` specifying the name of the attribute.
    `object` - An non-null `Object` representing the attribute to be bound.

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Removes the attribute with the given name from the context. After removal, subsequent calls to getAttribute(java.lang.String) to retrieve the attribute's value will return null.
  Parameters:
    `name` - A `String` specifying the name of the attribute to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.